Subject: Re: bug#7642: Build failure on NetBSD 5.0.2 on IA-32

From: Glenn Morris <[email-masked]>
Date: Wed, 15 Dec 2010 03:29:26 -0500

Chong Yidong wrote:

> Nelson H. F. Beebe reports a build failure for the 23.2.91 pretest on
> NetBSD 5.0.2 on IA-32.  The last Emacs version to build ok was 23.1.96
> in April 2010:
>
>> On NetBSD, the configure step with both native /usr/bin/cc and
>> gcc-4.4-20090123 fails like this:
>>
>> ...
>> checking whether `alloca.c' needs Cray hooks... no
>> checking stack direction for C alloca... -1
>> configure: error: a system implementation of alloca is required

The relevant part of the output is missing, but it looks like the
system does not have an implementation of alloca. Support for systems
without alloca was removed in 23.1. Does 23.1 currently build on that
system? What does the rest of configure's output look like?